Buteo::LogTimer Class Reference

Helper class for timing function execution time. More...

`#include <Logger.h>`

## Public Member Functions

| LogTimer (const QString &categoryName, const QString &func)
| Constructor. Creates an entry message to the log.
| ~LogTimer ()
| Destructor. Creates an exit message to the log, including function execution time.

## Detailed Description

Helper class for timing function execution time.

## Constructor & Destructor Documentation

## LogTimer()

LogTimer::LogTimer | ( | const QString & | categoryName,
|  | const QString & | func )

Constructor. Creates an entry message to the log.

Parameters

  func | Name of the function.

The documentation for this class was generated from the following files:

- Logger.h
- Logger.cpp